summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2017-08-08 11:11:54 +0200
committerAmy Liffey <amynka@gentoo.org>2017-08-08 11:11:54 +0200
commit1328d09617fb30725b2dc3c41c0a4bfb3680f6aa (patch)
treee658d83da2ae5eceb75d3050a5d9d50612456454 /app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild
parentapp-benchmarks/bonnie: EAPI 6 bump (diff)
downloadgentoo-1328d09617fb30725b2dc3c41c0a4bfb3680f6aa.tar.gz
gentoo-1328d09617fb30725b2dc3c41c0a4bfb3680f6aa.tar.bz2
gentoo-1328d09617fb30725b2dc3c41c0a4bfb3680f6aa.zip
app-benchmarks/forkbomb: EAPI 6 bump
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild')
-rw-r--r--app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild b/app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild
new file mode 100644
index 00000000000..67adb9ea370
--- /dev/null
+++ b/app-benchmarks/forkbomb/forkbomb-1.4-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Controlled fork() bomber for testing heavy system load"
+HOMEPAGE="http://home.tiscali.cz:8080/~cz210552/forkbomb.html"
+SRC_URI="http://home.tiscali.cz:8080/~cz210552/distfiles/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+src_prepare() {
+ sed -i '/^all/s/tags//' Makefile || die
+ default
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.8
+}